>From ba88f15f5ddcb171eda4ba7ee6098e0337c6fa6b Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Mon, 17 Dec 2012 23:30:37 +0100
Subject: [PATCH 3/3] Remove unused NextLogPage macro in xlog_inernal.h

It was unused since 061e7efb1b4c5b8a5d02122b7780531b8d5bf23d removed the last
user.
---
 src/include/access/xlog_internal.h | 11 -----------
 1 file changed, 11 deletions(-)

diff --git a/src/include/access/xlog_internal.h b/src/include/access/xlog_internal.h
index 0acebd4..1443f96 100644
--- a/src/include/access/xlog_internal.h
+++ b/src/include/access/xlog_internal.h
@@ -120,17 +120,6 @@ typedef XLogLongPageHeaderData *XLogLongPageHeader;
 		(dest) = (segno) * XLOG_SEG_SIZE + (offset)
 
 /*
- * Macros for manipulating XLOG pointers
- */
-
-/* Align a record pointer to next page */
-#define NextLogPage(recptr) \
-	do {	\
-		if ((recptr) % XLOG_BLCKSZ != 0)	\
-			XLByteAdvance(recptr, (XLOG_BLCKSZ - (recptr) % XLOG_BLCKSZ)); \
-	} while (0)
-
-/*
  * Compute ID and segment from an XLogRecPtr.
  *
  * For XLByteToSeg, do the computation at face value.  For XLByteToPrevSeg,
-- 
1.7.12.289.g0ce9864.dirty

